<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Web-Dev-Glossary</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<p><strong>ACCESSIBILITY</strong> : Relates to web design/coding standards and refers to how easy it is for everyone to use your website, including people who are visually impaired or in any way physically handicapped, or limited by older or less common computers and software. These days with the smaller screen sized tablets and smart-phones, accessibility for use on all devises is important; especially with the growing number of people using smaller screen devices to go online.</p>
<p><strong>ADDRESS BAR</strong> : The white bar towards the top of your computer screen. It will normally have something typed in it that starts with “http://” This is where you type in the address of a website that you want to visit.</p>
<p><strong>ANCHOR TEXT</strong> : The text a link (hyperlink) uses to refer to your web page. These make a difference in your search engine results.</p>
<p><strong>BACKLINKS</strong> : Links from other website pages to yours. Backlinks are used to increase a site’s popularity with search engines and to get more people to visit your site. The quality of a backlink and its <em>anchor text</em> is factored into Google’s algorithm when deciding how much importance to place on it.</p>
<p><strong>BANDWIDTH</strong> : It may help if you read “traffic” first, but very simply, bandwidth relates to how much a resource is used. An analogy would be a freeway. The wider the freeway, the more traffic (users) it can handle. The narrower it is, the less people can use it at once (without problems). When a website gets a lot of visitors, it will use a lot of bandwidth.</p>
<p><strong>BETA</strong> : A term used for software that is in a “live” testing phase. People can use it but can expect some hiccups.</p>
<p><strong>BLOG</strong> : An online journal or diary and a very popular current method of sharing your thoughts with the world. It is also very popular as a marketing tool. This article is found within Thinking IT’s blog.</p>
<p><strong>BOUNCE</strong> : When you send an email to someone and it comes straight back to you with an error message, it is said to have bounced. It’s like the internet version of “return to sender” except it is a computer or piece of software automatically sending it back to you, not a person. Emails can bounce for many reasons. The most common are: you made a spelling or typing error in the address, making the address invalid; the person you are sending to</p>
<h1 id="website-content-and">Website, Content, and</h1>
<h1 id="design-terminology">Design Terminology</h1>
<p>no longer has that email address; the person you are sending to has let their mailbox become too full to accept new emails; a piece of software on the receiving end thinks that your email is spam or that it includes a virus and sends it back to you.</p>
<p><strong>BOUNCE RATE</strong> : A website’s bounce rate is the percentage of people who leave the site from the same page they entered the site, without clicking through to any other pages. This can be a good indicator of how good a website’s navigation is, as well as an indicator of the quality of the site’s content (a very high bounce rate doesn’t bode well for either of those things).</p>
<p><strong>BRANDING:</strong> A brand encompasses all messages, promotions, actions, products etc. that a particular business releases to the public. A common misconception is that a logo design is a business’ brand. To retain consistent branding for your business, it’s important to keep the same level of design across all of your promotional pieces that are visible to the public</p>
<p><strong>BROWSER</strong> : When you visit a website, you are seeing it on a browser. Websites look very different in reality to what you see when you visit it. Everything is in fact encoded. A browser is the piece of software that decodes everything so that what you see is an attractive page rather than a lot of coding. Most people use the Microsoft Internet Explorer browser, which comes with all Windows software. If you look at the top right of your screen right now, just under the “X” you will see a little picture. This picture tells you what browser you are using. If the picture is a wavy square with smaller squares in red, green, blue and yellow, you are using IE (Internet Explorer). If it is something different, then you probably know all this already.</p>
<p><strong>CACHE</strong> : Every time you do anything on your computer, it stores this in memory so that the next time you try to do the same thing, it happens quicker than having to wait from scratch. The place where it stores all this is called the “cache”. The irony is that if your cache gets too full, it in fact makes your computer work a lot slower. It’s a good idea to empty your cache regularly to keep your computer working optimally.</p>
<p><strong>CALL TO ACTION (CTA)</strong> – Specific text, image, banner or button that uses persuasive, action-oriented words that urges a visitor on a website to act. CTAs are designed to move a visitor from one page to the next and persuade them to take an expected, predetermined action. (e.g. Download a Whitepaper, Register for a Webinar, Contact Us, Learn More, etc.).</p>
<p><strong>SLIDER/CAROUSEL:</strong> In web design terminology, the term Slider is used for a slideshow added into a web page. There are many WordPress slider plugins available which allow you to create your own sliders and add them to your home page, landing pages, posts, or any where you want.</p>
<p><strong>CMS</strong> : “Content Management System”. A dynamic website that is normally database driven and which enables the owner/user to manage the content of their own website (make changes) without needing to know any coding at all.</p>
<p><strong>CODE</strong> : Nothing that you see on the internet is what it appears to be. Everything is coded in one way or another to achieve the exact look, layout and functions. There are different types of code and coding languages that are used to develop websites as well as all computer programs and software.</p>
<p><strong>COMP/MOCK-UP:</strong> Refers to a representative sample or preview of the design for a website</p>
<p><strong>CONTENT MANAGEMENT SYSTEM</strong> : Also known as a CMS, the content management system is a back-end tool for managing a site’s content that separates the content from the design and functionality of the website. Using a cms can make it easier to change the design of a site independent of the site’s content or pages. A content management system can also make it easier for pages and images to be added to the website for people who aren’t programmers, saving on the cost of hiring a programmer because you can add/edit/delete content yourself.</p>
<p><strong>COOKIE</strong> : A small piece of information that certain websites store on your computer when you visit them. Cookies are normally harmless and the reasons for using them vary. Sometimes it is to make sure that their website loads quickly when you next visit, by drawing the saved information from your own computer rather than from the website itself. Another use is to track visitors to see how often they come, what they do when they come and other information to help with marketing. Cookies are also used to track visits from other websites, especially when the site you are visiting is paying the other site for advertising space or needs to pay a referral fee to the originating website. A cookie can also be used to check when you last visited and, if any changes since then, to force your browser to refresh so that you see the latest information. The downside of cookies is that after you have visited a lot of sites with a lot of graphics, your computer will begin to get bogged down with all of this in its memory. It’s therefore a good idea to regularly clear the cookies from your computer.</p>
<p><strong>DATABASE DRIVEN</strong> : With a normal static website, the information that you see is on the page itself. It does not change unless someone manually edits the page. On a database driven website, the information is not stored on the page, but in a database. Every time someone visits a particular page, the information is drawn from the database in order to display it on the page. Information can therefore be easily cross-referenced and the same information applied in many different ways, using formulas and different variables.</p>
<p><strong>DIRECTORY or SEARCH ENGINE DIRECTORY</strong> : Much like the Yellow Pages, a directory is a place where information about hundreds, thousands and millions of websites is stored</p>
<p>to allow people to easily and quickly find information and/or resources. Yahoo is an example of a search engine directory, Trades Check for example is a directory website for people wanting to find local licensed tradesmen.</p>
<p><strong>DISPLAY TYPE:</strong> Type that is designed with the objective of attracting attention. Think of movie titles on posters, article titles in magazines, newspaper headlines, etc.</p>
<p><strong>DOMAIN</strong> : A domain is a person or organization’s unique space on the internet. In layman’s terms, it is commonly used to mean the name of your website.</p>
<p><strong>DOMAIN NAME</strong> : A domain is identified by the number assigned to its unique space. To make it easier to use however, the number is given the name of your choice an this name is assigned to the number. In this way, people do not need to remember the number (IP) in order to visit a website, but can use the easier-to-remember domain name. This websites domain name is <a href="http://www.thinkingit.com.au.">http://www.thinkingit.com.au.</a></p>
<p><strong>DOWNLOAD</strong> : When you transfer information from a website or server to your computer, this is called downloading. Collecting email is therefore a download, as is saving a document from the internet to your computer or installing a software program directly from the internet. Every time that you visit a website you are also downloading, because the information is passing from the server to your computer and often saved there without you even knowing (see “cookies”). This becomes quite important if you are using something like ADSL to connect to the internet, where you have a limit on bandwidth because you use bandwidth every time you download anything. The bigger the download, the greater the bandwidth that you are using.</p>
<p><strong>DROP-DOWN:</strong> A drop-down can be one of two elements: A drop-down menu is a navigational menu that has sub-menus or categories below it. When clicked on, the sub menus “drop down” and are then visible to the user. A drop-down field is found within a form on a website. It acts similar to a drop-down menu, but it requires the user to choose an option from multiple choices.</p>
<p><strong>FLYOUT NAVIGATION:</strong> A flyout navigation menu contains multiple links to different pages and/or categories on a website. It’s typically contains multiple columns, whereas a drop- down menu may only display one column below the main tab.</p>
<p><strong>FOLD</strong> : The fold is a term carried over from newspaper design and pagination (where the fold referred to the physical fold in the paper). The fold in a website is the point on the web page that rests at the bottom of someone’s browser (in other words, to see anything below the fold, they would have to scroll down). There are varying opinions on how important the fold is in web design but more websites including Yahoo and msn are increasing their page length to get more information displayed on each page.</p>
<p><strong>FONT FAMILY</strong> : Font family is a group designation for defining the typefaces used in CSS documents. The font family tag generally lists multiple fonts to be used, and usually ends with the generic font category (such as “serif” or “sans-serif”).</p>
<p><strong>GIF</strong> : A type of file used for images, especially animated graphics and line-drawn images (as opposed to photographs). A .gif image can be saved with a transparent background, making it ideal for graphic overlays.</p>
<p><strong>HERO:</strong> A common term used to refer to the main image on a homepage or landing page.</p>
<p><strong>HIERARCHY</strong> : The visual arrangement of design elements in a way that signifies importance. For example, you might make a title big and bold to ensure it attracts more attention than a small, lightly colored image caption.</p>
<p><strong>HOST / HOSTING</strong> : In order for you to have an email address or a website, a computer somewhere, with all the necessary software, has to provide you with 3 things: an IP (domain) address, physical space to store the information and bandwidth that accommodates the flow of information that is taking place on your behalf. The company that provides you with these facilities is your host and you will pay them a fee for hosting your site and or email address.</p>
<p><strong>HTML</strong> : Hyper Text Markup Language. This is the base language that s used for creating websites. Common uses of the term are, “html coding” and “html website”. A website created in pure html is also referred to as a static website. In other words, it does not interact with the visitor other than in the most basic ways. It stores no data and cannot return data other than what is consistently on the page itself. Emails that use different fonts, colors, borders, backgrounds and graphics are also generally coded in html, with the alternative being plain text.</p>
<p><strong>HTTP</strong> : HyperText Transfer Protocol. This is a method used to transfer information on the internet and normally precedes the “description” of the actual resource being accessed and transferred. For example, web sites and web pages are one type of resource, identified by their domain name (www.domain.com.au).</p>
<p><strong>HTTPS</strong> : Similar to HTTP, HTTPS stands for HyperText Transfer Protocol over SSL (Secure Socket Layer) or, alternately, HyperText Transfer Protocol Secure. Like HTTP, it’s a set of rules for transferring hypertext requests between browsers and servers, but this time it’s done over a secure, encrypted connection.</p>
<p><strong>HYPERLINK</strong> : A hyperlink is a link from one web page to another, either on the same site or another one. Generally, these are text or images, and are highlighted in some way (text is often underlined or put in a different color or font weight). The inclusion of hyperlinks are the “hyper” part of “hypertext.”</p>
<p><strong>HYPERTEXT</strong> : Hypertext is any computer-based text that includes hyperlinks. Hypertext can also include presentation devices like tables or images, in addition to plain text and links.</p>
<p><strong>IFRAME</strong> : Short for Inline Frame. An iframe is used to display one or more web pages within another normal web page (one that isn’t a frameset page).</p>
<p><strong>INFORMATION ARCHITECTURE:</strong> Used to describe the semantic layout of content and information on a website. It refers to the organization of the information, dealing with what pages go where in a web site’s structure, what content is contained on each page and how each of these interact with other pages within the site.</p>
<p><strong>IP or IP ADDRESS</strong> : Internet Protocol. Very simply, the IP address refers to the actual number that a web address name translates to. (also see “domain”). The IP number is the real address.</p>
<p><strong>JPG</strong> : A type of file used for images, especially photographs. Images used on web pages work best as jpg or gif.</p>
<p><strong>KEYWORD or KEY PHRASE</strong> : An internet marketing term that refers to the main topics or subjects of your web pages in relation to how people would phrase them when searching for your products or services on the internet. For example, your topic may be “Quantifiable Analysis of the Strategic Business Model” but the average person searching for your exact information may simply search for “planning business strategies”. Your key phrases are at the core of any website marketing strategy and needs to relate to your target market’s thinking rather than your own.</p>
<p><strong>LANDING PAGE</strong> : A landing page is the page where a visitor first enters a website. Oftentimes, a special landing page is created to elicit a specific action from the new visitor (usually in connection with an advertising or marketing campaign).</p>
<p><strong>LINK</strong> : The internet is made up of millions of resources and computers that all link to each other. One type of link (verb) is a link (noun). This is a small snippet of code that creates an area on a web page that can be clicked on. Once clicked on, the person will be taken to the resource that the piece of code linked to. This is how users on the internet can move from one web page or website to another and download documents, programs or files. To link to something means to host this piece of code that will take the person to the resource that you are linking to. To have a link from a website means that someone else is hosting this piece of code that will bring people to your website or resource.</p>
<p><strong>META DATA</strong> Meta data is the data contained in the header that offers information about the web page that a visitor is currently on. The information contained in the meta data isn”t viewable on the web page (except in the source code). Meta data is contained within meta tags.</p>
<p><strong>META TAG</strong> : Included in the head section of an html web page and is visible to search engines but not human visitors. Meta tags provide information about a web page, like the topic (title), keywords, description and also instructions to search engine robots and visitor browsers.</p>
<p><strong>NAVIGATION</strong> : Navigation refers to the system that allows visitors to a website to move around that site. Navigation is most often thought of in terms of menus, but links within pages, breadcrumbs, related links, pagination, and any other links that allow a visitor to move from one page to another are included in navigation.</p>
<p><strong>OPERATING SYSTEM</strong> : The type of software that you use to run a computer is the operating system.</p>
<p><strong>OPTIMIZATION:</strong> This term is used to refer to the reduction of size of an element to be more ideal for web use. Example: Images used on a website should be optimized to a smaller file size to decrease the time it takes to load the page they reside on.</p>
<p><strong>PERMALINK</strong> : Short for “permanent link.” Generally used only on blogs, a permalink is a link that is the permanent web address of a given blog post. Since most blogs have constantly-changing content, the permalink offers a way for readers to bookmark or link to specific posts even after those posts have moved off the home page or primary category page</p>
<p><strong>PLUG IN</strong> : A plug-in is a bit of third party code that extends the capabilities of a website. It’s most often used in conjunction with a CMS or blogging platform. Plug-ins are a way to extend the functionality of a website without having to redo the core coding of the site. Plugins can also refer to bits of third-party software installed within a computer program to increase its functionality.</p>
<p><strong>PPC</strong> : Pay Per Click. A common term in internet advertising where you purchase advertising space on someone’s website, but instead of paying a flat monthly rate, you pay a small amount each time someone clicks on your advert – which is a link that takes them to your website. This “small amount” can however go quite high, depending on the deemed value of the link. This is a very simplified explanation, but the principle is that you ostensibly “pay for what you get”, which is not entirely accurate. False clicks can in fact make this much more expensive than a fixed advertising cost.</p>
<p><strong>RANKING</strong> : Ranking is a term related to search engines. When someone searches for something using a search engine, the will receive pages and pages of results. Where a specific site appears in those results is its ranking. There is a second meaning as well, more commonly used with regard to marketing and SEO and related specifically to Google. Each page of a website is given a ranking by Google, from 1-10. This ranking is the value</p>
<p>that Google places on that particular page in relation to its subject matter and how relevant it is. The more relevant a page is believed to be the higher its ranking.</p>
<p><strong>REALLY SIMPLE SYNDICATION</strong> : Also referred to as RSS. RSS is a standardized XML format that allows content to be syndicated from one site to another. It’s most commonly used on blogs. RSS also allows visitors to subscribe to a blog or other site and receive updates via a feed reader.</p>
<p><strong>RECIPROCAL LINKS</strong> : When website A links to website B and B links back to A and both link to the other on condition that they receive a link back, this is reciprocal linking. The principle is that if site A ever removes the link to site B, site B will remove its link to site A and vice versa. This is a (not great) tactic for gaining more links pointing to a website in the hope that Google will increase the site’s ranking as a result.</p>
<p><strong>Rollover:</strong> A rollover is an action that happens when a user places his or her mouse over a particular element that has a rollover effect applied to it. The mouse action causes the element’s appearance to change into a different image, color or font style.</p>
<p><strong>SEARCH ENGINE</strong> : A program that collects, stores, arranges and normally ranks the various resources available on the internet. It is most commonly on a website and used to find other websites – much like the yellow pages is used in the brick and mortar world.</p>
<p><strong>SEARCH ENGINE FRIENDLY</strong> : This relates to how well a site has been put together. A search engine friendly website is one that search engines can easily read and find all the links on AND which search engines “like” because it is properly optimized and not breaking any of their rules.</p>
<p><strong>SEARCH ENGINE LISTING</strong> : When someone searches for something using a search engine, all the sites that are listed in response to that search have a “search engine listing”.</p>
<p><strong>SEARCH ENGINE RANKING</strong> : Different to a search engine listing because a listing means the site appears anywhere on the list. Ranking relates to exactly where on the list it appears. Closer to the top means it has a higher ranking. A critical consideration in having your website found on the internet.</p>
<p><strong>SEARCH RESULT</strong> : When someone searches for something using a search engine, the list of websites and links that the search engine responds with is the search result. The aim of any website is to appear high in the search result.</p>
<p><strong>SEO</strong> : Stands for “Search Engine Optimization” and very simply refers to the practice of tweaking website coding and content to achieve the highest possible search engine ranking. SEO practitioners are people who specialize in this (or claim to).</p>
<p><strong>SERVER</strong> : A server is a computer that is used to house websites and provide a physical storage area for websites and emails. Without a server, your website would not be viewable to the world. Servers are normally provided by hosting companies who keep the servers in special premises, under special conditions and with permanent connections to the internet.</p>
<p><strong>SITEMAP</strong> : This is an index to all the content on a website. It is normally accessible from at least the front page of the site and is used for two purposes: to help people find what they are looking for on the site and to help search engines find all your links.</p>
<p><strong>STYLE GUIDE:</strong> A style guide is a document that includes all of the colors, fonts, and branding guidelines for a website, brochure, book or complete brand. A style guide is often a great guide to supply a web developer so there are no questions about the technical specifications of a design. It also can save them time from having to go back and forth with the designer.</p>
<p><strong>SUB PAGE:</strong> Any page on a website that isn’t the home page. Depending upon context, it could refer to pages “underneath” one of the pages in the main navigation.</p>
<p><strong>TAG</strong> : A tag is a set of markup characters that are used around an <em>element</em> to indicate where it starts &lt; &gt; and ends &lt;/ &gt;. Tags can also include HTML or other code to specify how that element should look or behave on the page.</p>
<p><strong>TYPOGRAPHY:</strong> The artistic arrangement of type in a readable and visually appealing way. Typography usually concerns the design and use of various typefaces in a way that helps to better visually communicate ideas. <strong>SERIF TYPEFACE:</strong> A typeface with small decorative strokes (called ‘serifs’) found at the end of horizontal and vertical lines. Serif typefaces tend to look professional, authoritative, and traditional in appearance.</p>
<pre><code>SANS SERIF TYPEFACE: A typeface without the small decorative serif strokes.
Sans serifs tend to look more modern, stylish, and cleaner than their serif
counterparts.</code></pre>
<p><strong>UPLOAD</strong> : For a website to be visible to the world, it has to be put on the server that is hosting it. This process is called uploading because you are literally loading your information, pages, pictures, etc. up onto the server.</p>
<p><strong>URL</strong> : Uniform Resource Locator. (Allows all resources on the internet to be located in a uniform manner). A URL is a website address that has all the pertinent information for finding the exact location attached to it. <a href="http://www.thinkingit.com.au">http://www.thinkingit.com.au</a> is this website’s url and <a href="http://www.thinkingit.com.au/glossary-website-terminology">http://www.thinkingit.com.au/glossary-website-terminology</a> is this exact page’s url (notice the extra part after the .com.au).</p>
<p><strong>USABILITY</strong> : Usability refers to how easy it is for a visitor to your site to use your site in its intended manner. In other words, are navigation, content, images, and any interactive elements easy to use, functioning the way they were intended, and that your intended target visitor will not need any special training in order to use your site.</p>
<p><strong>WEB PAGE or PAGE</strong> : Just one page rather than a complete website (see below). A page is not the same as, for example, the page in a book. The length is not limited by a fixed height and width, but by user-friendliness, good practice and practicality.</p>
<p><strong>WEBSITE</strong> : The actual website itself. The website is the content that dictates what people see and do when they go to your website address, normally containing a number of web pages not just one page.</p>
<p><strong>WEBSITE ADDRESS</strong> : This is the location of your website and is normally typed as <a href="http://www.the-name-of-the">http://www.the-name-of-the</a> website.com</p>
<p><strong>WHITE SPACE:</strong> This term is commonly mistaken for actual “white” colored space. White space could be red, green or any color. It refers to the space around elements. White space allows the elements to stand out to the user.</p>
<p><strong>WWW</strong> : World Wide Web. Another name for the Internet.</p>
</body>
</html>
